java tomcat - java.lang.UnsupportedClassVersionError: Nicht unterstützte major.minor-Version 51.0 (Klasse frontend.listener.StartupListener kann nicht geladen werden)




1 Answers

Was ist deine Ausgabe, wenn du java -version ? Dadurch erfahren Sie, welche Version die laufende JVM ist.

Der Fehler Nicht unterstützte Major.minor Version 51.0 könnte bedeuten:

  • Ihr Server führt eine niedrigere Java-Version als die, mit der Ihr Servlet kompiliert wurde und umgekehrt

So oder so deinstallieren Sie alle JVM-Laufzeiten, einschließlich JDK, und laden Sie die neuesten Versionen herunter und installieren Sie sie erneut. Das sollte jeden nicht Unsupported major.minor Fehler Unsupported major.minor , da Sie die neueste JRE und JDK haben werden (vielleicht sogar neuer als die, die verwendet wurde, um das Servlet zu kompilieren)

Siehe: http://www.java.com/en/download/manual.jsp (7 Update 25)

und hier: http://www.oracle.com/technetwork/java/javase/downloads/index.html (Java Platform (JDK) 7u25)

für die jeweils neueste Version von JRE und JDK.

BEARBEITEN:

Höchstwahrscheinlich wurde Ihr Code in Java7 geschrieben, aber vielleicht wurde er mit Java7update4 erstellt und Ihr System läuft mit Java7update3. Somit sind beide effektiv die gleiche Hauptversion, aber die Nebenversionen unterscheiden sich. Nur die größere Nebenversion ist abwärtskompatibel zur unteren Nebenversion.

Edit 2: Wenn Sie mehr als ein jdk auf Ihrem PC installiert haben. Sie sollten überprüfen, ob Apache Tomcat dasselbe verwendet (jre), mit dem Sie Ihre Programme kompilieren. Wenn Sie nach der Installation von Apache einen neuen jdk installiert haben, wird normalerweise die neue Version nicht ausgewählt.

installieren of

Mögliche Duplikate:
nicht unterstützte Hauptversion .minor Version 51.0

Ich habe Indigo und Tomcat 7.0.29. Und noch kann kein Serlvets geladen werden! Ich habe kein anderes JDK oder JRE als das 1.7!

  • Kompilierungsstufe 1.7
  • JAVA_HOME zeigt auf JDK 1.7
  • JAVA_JRE zeigt auf JRE 1.7
  • Build-Pfad enthält JDK 1.7
  • Java Facet 1.7

..aber immer noch nicht unterstützt Major.minor Version 51.0




Related


Tags

java   tomcat